@echo off

rem ---------------------------------------------------------------------------
rem * works ok with http output (requires 'webcam /h' running)
rem + ffplay -f mjpeg -framerate 50 -i http://127.0.0.1:14225/
rem ---------------------------------------------------------------------------
rem ffplay -f mjpeg -framerate 50 -i http://127.0.0.1:14225/

rem ---------------------------------------------------------------------------
rem * works ok with npipe output (requires 'webcam /n' running)
rem + ffplay -f mjpeg -framerate 50 -i \PIPE\Webcam\Video
rem ---------------------------------------------------------------------------
rem ffplay -f mjpeg -framerate 50 -i \PIPE\Webcam\Video


rem ---------------------------------------------------------------------------
rem * works ok with http output (invokes 'webcam /h' first)
rem + webcam /h | ffplay -f mjpeg -framerate 50 -i http://127.0.0.1:14225/
rem ---------------------------------------------------------------------------
rem webcam /h | ffplay -f mjpeg -framerate 50 -i http://127.0.0.1:14225/

rem ---------------------------------------------------------------------------
rem * works ok with named pipe output (invokes 'webcam /n' first)
rem + webcam /n | ffplay -f mjpeg -framerate 50 -i \PIPE\Webcam\Video
rem ---------------------------------------------------------------------------
rem webcam /n | ffplay -f mjpeg -framerate 50 -i \PIPE\Webcam\Video

rem ---------------------------------------------------------------------------
rem * works ok with stdout output (invokes 'webcam /s' first)
rem + webcam /s | ffplay -f mjpeg -framerate 50 -i -
rem ---------------------------------------------------------------------------
rem webcam /s | ffplay -f mjpeg -framerate 50 -i -

rem ---------------------------------------------------------------------------
rem webcam /h /n /s /f8 | ffplay -f mjpeg -framerate 50 -i -
webcam /h /n /s | ffplay -f mjpeg -framerate 50 -i -

